<template>
  <div class="single-invoice-line">
    <v-card id="invoice-line-header">
      <v-card-title>Invoice Line {{ this.displayNumber + 1 }}</v-card-title>
    </v-card>
    <form novalidate>
      <div>
        <label for="price">Price</label
        ><input
          min="0"
          type="number"
          id="price"
          class="form-control"
          v-model="info.price"
        />
      </div>
      <div>
        <label for="quantity">Quantity</label
        ><input
          min="0"
          type="number"
          id="quantity"
          class="form-control"
          v-model="info.quantity"
        />
      </div>
      <div>
        <label for="description">Description</label
        ><input
          type="text"
          id="description"
          class="form-control"
          v-model="info.description"
          placeholder="Description"
          aria-label="description"
        />
      </div>
      <div>
        <v-btn
          color="error"
          type="button"
          @click="$emit('delete-invoiceLine', indexValue)"
          class="btn-block"
        >
          Remove
        </v-btn>
      </div>
    </form>
  </div>
</template>

<script>
export default {
  props: ["indexValue", "displayNumber"],
  data: function () {
    return {
      info: {
        number: this.indexValue,
        quantity: 0,
        price: 0,
        description: "",
      },
    };
  },
  methods: {
    getInvoiceLine() {
      return this.info;
    },
  },
  watch: {
    info: {
      handler(params) {
        if (params.price != 0 && params.quantity != 0) {
          this.$emit("invoice-line-info", this.info);
        }
      },
      deep: true,
    },
  },
};
</script>

<style>
/* #remove-button {
  color: white;
} */
#invoice-add-invoice-line-container {
  width: 100%;
}
.single-invoice-line {
  margin-top: 1em;
  background-color: #efefef;
}

.single-invoice-line div {
  display: flex;
  justify-content: space-between;
  margin-bottom: 0.5em;
}
.single-invoice-line div label {
  margin-left: 1em;
}
.single-invoice-line div input {
  margin-right: 1em;

  width: 150px;
}
#invoice-line-header {
  justify-content: center;
}
</style>